<?php

namespace App\Modules\Leads\WebChannel\Application;

use App\Modules\Shared\Domain\Bus\Query\Response;

class WebChannelResponses implements Response
{

    private array $data;

    public function __construct(WebChannelResponse ...$data)
    {
        $this->data = $data;
    }

    public function data()
    {
        return $this->data;
    }
}
